Bug 210751 - /usr/share/locale/*/LC_TIME not owned by any package
/usr/share/locale/*/LC_TIME not owned by any package
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2006-10-14 05:55 EDT by Robert Scheck
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 5.97-13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-25 15:58:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2006-10-14 05:55:10 EDT
Description of problem:
tux:~ # rpm -qf /usr/share/locale/*/LC_TIME | wc -l
tux:~ # 

tux:~ # ls -l /usr/share/locale/*/LC_TIME/coreutils.mo | wc -l
tux:~ # 

Version-Release number of selected component (if applicable):

How reproducible:
Everytime, see above.

Actual results:
/usr/share/locale/*/LC_TIME is not owned by any package, but should owned by 
coreutils as Bill said in bug #196669 comment #23 and following. coreutils is 
the only package providing content (a symlink!) for the LC_TIME directory.

Expected results:
Own /usr/share/locale/*/LC_TIME in coreutils or in filesystem or remove the 
directory and the coreutils.mo symlinks if possible.

Additional info:
This bug report is to fix the last bits left open from bug #191581 and #196669.
Comment 1 Tim Waugh 2006-10-17 10:20:52 EDT
Shouldn't this be part of %find_lang?  coreutils already has this:

%find_lang %name
%files -f %{name}.lang

It just sets 'EXTRA_LOCALE_CATEGORIES' in po/Makevars.  I think the %find_lang
macro should handle this, and cause packages to own directories other than
Comment 2 Bill Nottingham 2006-10-17 11:19:39 EDT
Jim had mentioned that this (LC_TIME) is needed for platforms that don't have
new enough/correct locale information. Is our locale information in Fedora/RHEL
new enough that we don't have to ship LC_TIME symlinks?
Comment 3 Jim Meyering 2006-10-17 15:11:06 EDT
Hi Bill, Tim.  I've dug some more, and now believe the LC_TIME directories and
symlinks are required.  The problem is to support ls usage (admittedly twisted)
like this:
  $ env -i LC_TIME=zh_CN LC_MESSAGES=fr_FR /bin/ls --time-=loc -ld / no-such
  /bin/ls: no-such: Aucun fichier ou répertoire de ce type
  drwxr-xr-x 27 root root 4096 10-13 09:23 /
where LC_TIME is different from LC_MESSAGES: French diagnostics, but date/time
using the Chinese format.
Comment 4 Robert Scheck 2006-10-25 15:58:40 EDT
Tim, thanks for fixing this bugreport in -13...closing now.
Comment 5 Tim Waugh 2006-10-26 07:13:11 EDT
I still think this should be part of %find_lang.

Note You need to log in before you can comment on or make changes to this bug.